APIAnalytics
Event breakdown by action
Audit event breakdown by action type.
GET
Audit event breakdown by action type.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
view_tool_analyticsstart_time*stringStart of the time range to report on, inclusive.
Format
date-timeend_time*stringEnd of the time range to report on, exclusive.
Format
date-timeagent_instance_id?array<>Filter to specific agent instances by id.
agent_slug?array<string>Filter to agents by slug, the agent type such as claude-code.
mcp_id?array<>Filter to specific MCP servers by id.
user_id?array<>Filter to specific users by id.
user_group?array<string>Filter to users in specific groups.
agent_tag_id?array<>Filter to agent instances carrying specific tags.
resource_tag_id?array<>Filter to MCP servers carrying specific tags.
The request has succeeded.
application/json- response
Audit events grouped by action type.
items*array<>One entry per action type.
curl -X GET "https://example.com/analytics/event-breakdown?start_time=2019-08-24T14%3A15%3A22Z&end_time=2019-08-24T14%3A15%3A22Z"{ "items": [ { "action": "string", "count": 0 } ]}